%define upstream_name	 Net-Interface
%define upstream_version 1.016

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 16

Summary: 	Perl extension to access network interfaces
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}/
Source0:	https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch1: 	fix-build.patch

BuildRequires:	perl-devel


%description
Net::Interface is designed to make the use of ifconfig(1) and friends
unnecessary from within Perl.  It provides methods to get at set all the
attributes of an interface, and even create new logical or physical interfaces
(if your O/S supports it).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

# Update config.guess/sub to fix builds on new architectures (aarch64/ppc64le)
cp /usr/lib/rpm/mageia/config.* .

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%{__make} test

%install
%make_install

%files
%doc Changes README* META.yml
%{_mandir}/man3/*
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net


%changelog
* Tue Nov 28 2023 tv <tv> 1.16.0-16.mga10
+ Revision: 2010601
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.16.0-15.mga9
+ Revision: 1862237
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.16.0-14.mga9
+ Revision: 1795961
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.16.0-13.mga9
+ Revision: 1726919
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.16.0-12.mga8
+ Revision: 1594945
- Rebuild for perl 5.32

* Thu Jun 11 2020 tv <tv> 1.16.0-11.mga8
+ Revision: 1592261
- cp config.* from rpm-setup
- set %%_configure_gnuconfig_hack
- rebuild with new rpm-mageia-setup handling config.{guess,sub} update

* Sun Feb 16 2020 umeabot <umeabot> 1.16.0-8.mga8
+ Revision: 1530001
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.16.0-7.mga8
+ Revision: 1433852
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.16.0-6.mga7
+ Revision: 1293543
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.16.0-5.mga7
+ Revision: 1250100
- Rebuild for perl 5.28

* Mon Jun 25 2018 wally <wally> 1.16.0-4.mga7
+ Revision: 1239663
- fix build on aarch64

* Tue Oct 03 2017 tv <tv> 1.16.0-3.mga7
+ Revision: 1165857
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.16.0-2.mga7
+ Revision: 1149091
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 1.16.0-1.mga7
+ Revision: 1128277
- New version 1.016
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.12.0-15.mga6
+ Revision: 1031092
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.12.0-14.mga6
+ Revision: 957805
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.12.0-13.mga6
+ Revision: 845050
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.12.0-12.mga6
+ Revision: 842520
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.12.0-11.mga5
+ Revision: 739408
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12.0-10.mga5
+ Revision: 685676
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.12.0-9.mga5
+ Revision: 631501
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.12.0-8.mga4
+ Revision: 524935
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.12.0-7.mga4
+ Revision: 431673
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 1.12.0-6.mga4
+ Revision: 431250
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.12.0-5.mga3
+ Revision: 370681
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.12.0-4.mga3
+ Revision: 250991
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.12.0-3.mga2
+ Revision: 104838
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.12.0-2.mga1
+ Revision: 30912
- mageia rebuild
- imported package perl-Net-Interface

